#include<bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    string s;
    for(int i = 0; i < n; i++){
        cin >> s;
        map<char,int> br;
        for(int i = 0; i < s.size(); i++){
            br[s[i]]++;
        }
        bool f = true, k = true;
        for(auto p : br){
            if(!f && p.second % 2 != 0){
                k = false;
                break;
            }
            if(p.second % 2 != 0){
                f = false;
            }
        }
        if(k){
            cout << 1;
        }else{
            cout << 0;
        }
    }
    return 0;
}
